
SCM Creator (+Github) - Bug #1879

Hooks copy failed

21 Oct 2011 11:58 - Clément Démoulins

Status: Closed Start date: 21 Oct 2011

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.3.0   

Redmine version:  External issue:  

Description

I tried to activate the hook property in scm.yml but when i create a new repository the hooks copy fail.

There are an error at line 104 of scm_repositories_controller_patch.rb

This line :

args << "#{path}/hooks/" 

should be replace by :

args << "#{repath}/hooks/" 

Related issues:

Duplicates SCM Creator (+Github) - Bug #1869: Copying of hooks dir doesn't wo... Closed 14 Oct 2011 22 Oct 2011

Associated revisions

Revision 44 - 22 Oct 2011 11:05 - Andriy Lesyuk

Fixed #1869 and #1879 (thanks Blaž Podržaj, Mike Hagedon and Clément Démoulins!)

History

#1 - 22 Oct 2011 09:19 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.3.0

#2 - 22 Oct 2011 11:06 - Andriy Lesyuk

- Status changed from Open to Closed

Thanks!
